{% set graphTypes = {
    "bar" : "Bar",
    "line" : "Line",
    "radar" : "Radar",
    "polarArea" : "Polar Area",
    "pie" : "Pie",
    "doughnut" : "Doughnut"
} %}

{% if dataset is defined %}
<form action="{{ path('admin_edit_graph') }}" method="GET">
    <div class="row">
        <div class="col-6">
            <label for="name-{{ dataset.id }}">Title : </label>
            <input value="{{ dataset.name }}" name="name" id="name-{{ dataset.id }}" type="text" maxlength="255" class="form-control" placeholder="Enter a title for this data">
        </div>
    </div>
    <div class="row">
        <input type="hidden" name="graph" value="{{ dataset.id }}">
        <input type="hidden" name="import" value="{{ dataset.file.id }}">
        <div class="col-3">
            <label for="abs-{{ dataset.id }}">Abscissa : </label>
            <select name="abs" id="abs-{{ dataset.id }}" class="form-control">
                {% for header in dataset.file.headers %}
                    <option value="{{ header }}" {% if dataset.abs is same as(header) %} selected {% endif %}>{{ header }}</option>
                {% endfor %}
                <option value="iteration" {% if dataset.abs is same as("iteration") %} selected {% endif %}>Iteration</option>
            </select>
        </div>
        <div class="col-3">
            <label for="ord-{{ dataset.id }}">Ordinate : </label>
            <select name="ord" id="ord-{{ dataset.id }}" class="form-control" >
                {% for header in dataset.file.headers  %}
                    <option value="{{ header }}" {% if dataset.ord is same as(header) %} selected {% endif %}>{{ header }}</option>
                {% endfor %}
            </select>
        </div>
        <div class="col-2">
            <label for="type-{{ dataset.id }}">Graphic type : </label>
            <select name="type" id="type-{{ dataset.id }}" class="form-control">
                {% for key, graphType in graphTypes %}
                    <option value="{{ key }}" {% if dataset.type is same as(key) %} selected {% endif %}>{{ graphType }}</option>
                {% endfor %}
            </select>
        </div>
        <div class="col-2">
            <button class="btn btn-secondary" name="action" type="submit" value="edit">Modify</button>
            <button class="btn btn-danger" name="action" type="submit" value="delete">Delete</button>
        </div>
    </div>
</form>

{% else %}
<form action="{{ path('admin_add_graph') }}" method="GET">
    <div class="row">
        <div class="col-6">
            <label for="name-0">Title : </label>
            <input name="name" id="name-0" type="text" maxlength="255" class="form-control" placeholder="Enter a title for this data">
        </div>
    </div>
    <div class="row">
        <input type="hidden" name="graph" value="0">
        <input type="hidden" name="import" value="{{ fileImport.id }}">
        <div class="col-3">
            <label for="abs-0">Abscissa : </label>
            <select name="abs" id="abs-0" class="form-control">
                <option value="">-- Select an abscissa --</option>
                {% for header in fileImport.headers %}
                    <option value="{{ header }}">{{ header }}</option>
                {% endfor %}
                <option value="iteration">Iteration</option>
            </select>
        </div>
        <div class="col-3">
            <label for="ord-0">Ordinate : </label>
            <select name="ord" id="ord-0" class="form-control" >
                <option value="">-- Select an ordinate --</option>
                {% for header in fileImport.headers  %}
                    <option value="{{ header }}">{{ header }}</option>
                {% endfor %}
            </select>
        </div>
        <div class="col-2">
            <label for="type-0">Graphic type : </label>
            <select name="type" id="type-0" class="form-control">
                <option value="">-- Select a type --</option>
                {% for key, graphType in graphTypes %}
                    <option value="{{ key }}">{{ graphType }}</option>
                {% endfor %}
            </select>
        </div>
        <div class="col-2">
            <button class="btn btn-secondary" type="submit" value="add">Add</button>
        </div>
    </div>
</form>
{% endif %}
